﻿using System;
using System.Collections.Generic;
using System.Diagnostics;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace FNZCM2.Abstractions.Models.Fs;

[DebuggerDisplay("F {Id} # {Name} # {Size}")]
public class FileEntry : IFsEntry
{
    public required long Id { get; init; }

    /// <summary> zero for root </summary>
    public required long FolderId { get; init; }

    public required string Name { get; init; }
    public required long Size { get; init; }
    public required DateTimeOffset LastChangedTime { get; init; }
}
