﻿using System.Diagnostics;

namespace FNZCM2.Abstractions.Models.Fs;

[DebuggerDisplay("D {Id} # {Name}")]
public class FolderEntry : IFsEntry
{
    public required long Id { get; init; }
    
    /// <summary> zero for root </summary>
    public required long FolderId { get; init; }

    public required string Name { get; init; }
    public required DateTimeOffset LastChangedTime { get; init; }
}